# DropIt Example Project #

Delivery System.

## Dependencies ##
  - Nodejs
  - Typescript
  - Express
  - axios
  - knex
  - pg (not implemented yet)
  - in-memory caching
  - geoapify API Key

## Installation
  
  ### Git ### 
  clone the project and run `npm install` to install all the dependencies.

  ### typescript - ###
    run `tsc` to compile the typescript files to javascript.
    or 
    run `npm run build` to compile the typescript files to javascript.

  ### Server ###
  run `npm run dev` to start the server in development mode.

  ### Database ###
  run `npm run migrate` to create the database tables.
  
