exports.up = function(knex) {
  return knex.schema.createTable('orders', function(table) {
    table.string('_id', 36).primary();
    table.string('userId', 36).notNullable();
    table.string('slotId', 36).notNullable();
    table.string('deliveryCreatedDate', 255).notNullable();
  });
};


exports.down = function(knex) {
  return knex.schema.dropTable('orders');
};